API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/performance_records/{id}/transition

POST/v1/performance_records/{id}/transition

CodeMeta OS API endpoint.

Datenmodell

Diese Operation arbeitet auf der Entität Performance Record (performance_record). Alle 27 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
toStatuserforderlichstring
dialogResponseobject
checklistReopenReasonstring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/performance_records/{id}/transition \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "toStatus": "string",
  "dialogResponse": null,
  "checklistReopenReason": "string"
}'
const result = await cm.performance_records.post({
  "toStatus": "string",
  "dialogResponse": null,
  "checklistReopenReason": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche